> ## Documentation Index
> Fetch the complete documentation index at: https://docs.myrouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# FLUX.1 Kontext Pro

FLUX.1 Kontext Pro is a model that improves prompt adherence and font generation consistency while maintaining efficient speed and suitability for editing tasks.

## Request Headers

<ParamField header="Content-Type" type="string" required={true}>
  Enum: `application/json`
</ParamField>

<ParamField header="Authorization" type="string" required={true}>
  Bearer authentication format: Bearer \{\{API Key}}.
</ParamField>

## Request Body

<ParamField body="prompt" type="string" required={true}>
  The prompt used for image generation.
</ParamField>

<ParamField body="images" type="string[]" required={false}>
  List of images used for image generation. Supports up to 4 images.
</ParamField>

<ParamField body="guidance_scale" type="number" required={false}>
  Guidance scale for controlling generation. Default: 3.5. Range: \[1.0 \~ 20.0].
</ParamField>

<ParamField body="aspect_ratio" type="string" required={false}>
  Aspect ratio of the generated image.<br />
  Options: `21:9`, `16:9`, `4:3`, `3:2`, `1:1`, `2:3`, `3:4`, `9:16`, `9:21`
</ParamField>

<ParamField body="seed" type="integer" required={false}>
  Random seed. Default: -1, where -1 means use a random seed. Range: \[-1 \~ 2147483647].
</ParamField>

<ParamField body="safety_tolerance" type="string" required={false}>
  Only supported in text-to-image mode.<br />
  Safety tolerance level for generated images, 1 is the strictest, 5 is the most permissive. Default: 2.<br />
  Options: `1`, `2`, `3`, `4`, `5`
</ParamField>

## Response

<ResponseField name="task_id" type="string" required={true}>
  The task\_id of the async task. Use the task\_id to call the [Get Async Task Result API](/docs/models/reference-get-async-task-result) to retrieve the generated result.
</ResponseField>
